Bug 809244 - Dell Studio 17 laptop will not reactivate properly after 2nd suspend
Dell Studio 17 laptop will not reactivate properly after 2nd suspend
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 16:25 EDT by Bill Norman
Modified: 2012-11-14 17:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 12:04:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Norman 2012-04-02 16:25:53 EDT
Description of problem:Dell Studio 17 running Fedora 16, kernel 3.3.0-8.fc16.x86_64 recovers properly the first time time it is suspended after boot-up but it does not recover properly after a subsequent suspend. After the second suspend the bluetooth mouse no longer functions and the machine will not suspend properly. The only way to get the mouse and suspend function back is to reboot.

Suspend works perfectly running kernel 3.2.9-2.fc16.x86_64. I first saw this problem with kernel 3.3.0-4.fc16.x86_64 and it has persisted with the latest upgrade. 


Version-Release number of selected component (if applicable):
3.3.0-8.fc16.x86_64

How reproducible:


Steps to Reproduce:
1. Boot up system
2. Close machine lid or select Suspend from menu. Allow time for machine to power down. 
3. Open lid or press start button to recover from suspend. Ensure wireless connection and bluetooth mouse are functional. 
3. Close lid or select suspend from menu. Allow machine to power down.
4. Open lid or press start button to recover from suspend. Observe that wireless connection is made but bluetooth mouse no longer functions. Note mouse pad still works.
5. Close lid or select suspend from menu. Allow sufficient time for machine to power down. Note that the screen will go black but machine will not power down. After about 15 seconds screen re-displays GUI. Subsequent calls to suspend show the same behavior. Bluetooth mouse no longer functions.
6. Re-boot machine to regain full functionality. 
  
Actual results:


Expected results: Expect suspend to fully recover functionality regardless the number of times it is implemented.


Additional info: Suspend works fine running kernel 3.2.9-2.fc16.x86_64. I first saw this problem with kernel 3.3.0-4.fc16.x86_64 and it has persisted with the latest upgrade to 3.3.0-8.fc16.x86_64.
Comment 1 Dave Jones 2012-10-23 11:41:14 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 2 Justin M. Forbes 2012-11-14 12:04:59 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 3 Bill Norman 2012-11-14 17:13:10 EST
I upgraded to fc17, which resolved this issue.

Note You need to log in before you can comment on or make changes to this bug.